@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@300;400;500;600;700&display=swap");

body {
  font-family: "Oswald", sans-serif;
  font-size: 1.4em;
  font-style: normal;
  font-weight: 200;
  line-height: 1.4;
  letter-spacing: 0.05em;
}

header {
  background: linear-gradient(rgba(0, 0, 0, 0.137), rgba(0, 0, 0, 0.212)),
    url("../img/sushibg.avif") center no-repeat;
  height: 95vh;
  background-size: cover;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
  position: relative;
}

h1 {
  letter-spacing: 5px;
  font-weight: 600;
  font-size: 3rem;
}

h2 {
  font-weight: 400;
  font-size: 2rem;
}

.text-pink {
  color: rgb(255, 0, 106);
}

.hero-link {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 20px;
  background: #fff;
  z-index: 15;
}

.hero-link-button {
  content: "";
  font-size: 24px;
  position: absolute;
  width: 50px;
  height: 50px;
  left: 50%;
  margin-left: -25px;
  margin-top: -20px;
}

a {
  color: rgb(0, 0, 0);
  -webkit-transition: all 200ms linear;
  -moz-transition: all 200ms linear;
  -o-transition: all 200ms linear;
  -ms-transition: all 200ms linear;
  transition: all 200ms linear;
}

a:hover {
  color: rgb(255, 0, 106);
}

.hero-link-button:before {
  content: "";
  position: absolute;
  top: -10px;
  left: 50%;
  margin-left: -41px;
  width: 80px;
  height: 80px;
  border-radius: 100%;
  background: #fff;
  z-index: -1;
}

.mobilearrow {
  display: none;
}

.desktoparrow {
  font-size: 2rem;
}

a.carte {
  font-size: 3rem;
  color: rgb(255, 0, 106);
  letter-spacing: 0.3em;
  text-decoration: none;
  text-shadow: 6px 6px 0px rgba(0, 0, 0, 0.2);
}

a.carte:hover {
  text-decoration: underline;
  text-underline-offset: 1rem;
}

footer {
  background-color: #6868689d;
  color: white;
}

.imgzoom {
  height: 250px;
  width: 400px; 
}

@media screen and (max-width: 576px) {
  .hero-link-button {
    display: none;
  }
  .hero-link {
    display: none;
  }
  header {
    height: 80vh;
  }
  h2 {
    font-size: 1.5rem;
  }

  h1 {
    font-size: 2.5rem;
  }

  .mobilefont {
    font-size: 2rem;
  }

  .desktoparrow {
    display: none;
  }

  .mobilearrow {
    display: inline;
    font-size: 2rem;
  }

  a.carte {
    font-size: 2rem;
    color: rgb(255, 0, 106);
  }

  .margincarte {
    margin-top: 4rem !important;
    margin-bottom: -2rem !important;
  }

  .logo {
    margin: 0.7rem auto auto auto !important;
  }
}
